export type TimerelAnyDate = string | number | Date;
export type TimesArray = Array<[number, number, string]>;
export type AliasesMap = {
    [key: string]: string;
};
export type UnitsMap = {
    [key: string]: string;
};
export type TimerelOpts = {
    /** The date to compare to. Default: `Date.now()`. */
    now?: Date | string | number;
    /** Whether to omit `ago` and `in` affixes. Default: `false`. **/
    noAffix?: boolean;
    /** A custom time table that overrides the built-in one. **/
    times?: TimesArray;
    /** Number of milliseconds below which to output `"now"`. Default: 2000. */
    nowThreshold?: number;
    /** String to output for now. Default: `"now"`. */
    nowString?: string;
    /** String to output for invalid dates. Default: `String(date)`. */
    unknownString?: string;
    /** Use aliases like "yesterday" instead of "1 day ago". Default: `false`. */
    aliases?: boolean;
    /** A custom aliases object to use instead of the built-in one. */
    aliasesMap?: AliasesMap;
    /** Use minutes/secoonds instead of mins/secs. Default: `false`. */
    longUnits?: boolean;
};
export declare function timerel(date: TimerelAnyDate, { now, noAffix, times, nowThreshold, nowString, unknownString, aliases, aliasesMap, longUnits }?: TimerelOpts): string;
